de.esprit.appsuite.database.dbase.tools

## Class UnlExportCLP

- java.lang.Object
- - de.esprit.common.clp.CommandLineParser
  - - de.esprit.appsuite.launch.ApplicationCommandLineParser
    - - de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser
      - - de.esprit.appsuite.database.dbase.tools.AbstractUnlCLP
        - - de.esprit.appsuite.database.dbase.tools.UnlExportCLP

-     public class UnlExportCLP
      extends AbstractUnlCLP

  This is the command-line-parser for the `UnlExport` tool.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.esprit.appsuite.database.dbase.tools.AbstractUnlCLP

      `AbstractUnlCLP.OptionDboPkg, AbstractUnlCLP.OptionTable`

    - ### Nested classes/interfaces inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `DatabaseCommandLineParser.OptionCredDir, DatabaseCommandLineParser.OptionCredFile, DatabaseCommandLineParser.OptionDbPassword, DatabaseCommandLineParser.OptionDbUrl, DatabaseCommandLineParser.OptionDbUser, DatabaseCommandLineParser.OptionJdbcDriver, DatabaseCommandLineParser.OptionLoginTimeout, DatabaseCommandLineParser.OptionMaxConns, DatabaseCommandLineParser.OptionMinConns, DatabaseCommandLineParser.OptionSchema`

  - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.tools.AbstractUnlCLP

      `optDbo, optDboPkg, optTable`

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `optCredDir, optCredFile, optDriver, optLoginTimeout, optMaxConns, optMinConns, optPassword, optSchema, optUrl, optUser`

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `optApplicationName`

    - ### Fields inherited from class de.esprit.common.clp.CommandLineParser

      `espritVersion, optDebug, optDemo, optHelp, optLocale, optLogDir, optLogToFile, optNoConsole, optTest, optVerbose, optVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnlExportCLP(java.lang.Class mainClass, java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `createOptionList()`
    `SqlCondition` | `getSqlCondition()`
    `java.io.File` | `getUnlOutputFile()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.tools.AbstractUnlCLP

      `checkDependencies, getDBObject`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `checkForMissingCredentialOptions, checkForMissingOption, createConfig, getConnectionPool, getCredDir, getCredential, getCredential, getCredFile, getDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUrl, getUser`

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `getApplicationName, getConfig, isPrintVersionOnly, setDefaultApplicationName`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineParser

      `addOption, addOption, addSoftwareVersion, createHelpText, createHelpText, createSyntaxLine, ensureParsed, fetchDefinedOptionFor, findDefinedOptionFor, getArgument, getArgumentCount, getArguments, getCustomVersion, getEspritVersion, getLogDir, getMainClass, getSoftwareVersions, getStartLogLevel, handleParsingError, hasArguments, isDebug, isDemoMode, isExitAfterParsing, isLogToFile, isNoConsoleLog, isParsed, isTestMode, isVerbose, parse, removeOption, removeOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnlExportCLP

          public UnlExportCLP(java.lang.Class mainClass,
                      java.lang.String... args)

  - ### Method Detail

    - #### getUnlOutputFile

          public java.io.File getUnlOutputFile()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSqlCondition

          public SqlCondition getSqlCondition()

    - #### createOptionList

          protected java.lang.String createOptionList()

      Overrides:
        `createOptionList` in class `AbstractUnlCLP`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.